Loading...
Searching...
No Matches
amp_state Struct Reference
Amplifier API

Amplifier state structure. More...

`#include <amplifier.h>`

Collaboration diagram for amp_state:
[legend]

## Data Fields

hamlib_port_t_deprecated | ampport_deprecated
int | comm_state
rig_ptr_t | priv
rig_ptr_t | obj
setting_t | has_get_level
setting_t | has_set_level
gran_t | level_gran [64]
gran_t | parm_gran [64]
hamlib_port_t | ampport

## Detailed Description

Amplifier state structure.

This structure contains live data, as well as a copy of capability fields that may be updated, i.e. customized while the AMP handle is instantiated.

It is fine to move fields around, as this kind of struct should not be initialized like amp_caps are.

## Field Documentation

## ampport

hamlib_port_t amp_state::ampport

Amplifier port (internal use).

## ampport_deprecated

hamlib_port_t_deprecated amp_state::ampport_deprecated

Amplifier port (internal use). Deprecated

## comm_state

int amp_state::comm_state

Comm port state, opened/closed.

## has_get_level

setting_t amp_state::has_get_level

List of get levels.

## has_set_level

setting_t amp_state::has_set_level

List of set levels.

## level_gran

gran_t amp_state::level_gran[64]

Level granularity.

## obj

rig_ptr_t amp_state::obj

Internal use by hamlib++ for event handling.

## parm_gran

gran_t amp_state::parm_gran[64]

Parameter granularity.

## priv

rig_ptr_t amp_state::priv

Pointer to private amplifier state data.

The documentation for this struct was generated from the following file:

- amplifier.h